import { useEditor } from "@/modules/editor";
import { defineComponent } from "vue";
import { string } from "vue-types";
import View from "./View";

export default defineComponent({
  props: {
    value: string(),
  },
  emits: ["update:value"],
  setup(props, { emit }) {
    const { store } = useEditor();
    async function changeVal() {
      alert("选择模型");
      emit("update:value", Math.random().toString());
    }
    return () => (
      <View>
        <img
          class="w-1/1 h-1/1"
          src={props.value}
          onClick={store.editMode === "edit" ? changeVal : undefined}
        />
      </View>
    );
  },
});
