import { defineUI } from "queenjs";
import Canvas from "./Canvas";
import Header from "./Header";
import Slider from "./Slider";

export default defineUI({
  slots: {
    Header,
    SliderLeft: Slider,
    SliderRight: Slider,
    Canvas,
  },
  setup(props, { slots }) {
    return () => (
      <div class="flex flex-col h-1/1">
        <slots.Header class="p-16px border-bottom bg-component" />
        <div class="flex flex-1 h-0">
          <slots.SliderLeft class="w-300px bg-component border-right" />
          <slots.Canvas class="flex-1 p-30px" />
          <slots.SliderRight class="w-300px bg-component border-left" />
        </div>
      </div>
    );
  },
});
