import { Layout } from "ant-design-vue";
import { defineComponent } from "vue";
import LeftContent from "./LeftContent";

export default defineComponent({
  setup() {
    return () => {
      return (
        <Layout class="!h-100vh flex" style="background-color: #f7f7f7">
          <Layout.Sider
            class="!bg-transparent overflow-y-auto"
            theme="light"
            width="380px"
          >
            <LeftContent />
          </Layout.Sider>
          <Layout.Content
            style="background-color: #fff"
            class="flex-1 my-20px mr-25px rounded-20px p-50px overflow-y-auto"
          >
            <router-view></router-view>
          </Layout.Content>
        </Layout>
      );
    };
  },
});
